scid (1:4.5.1.cvs20140429-2ubuntu1) vivid; urgency=medium

  * debian/patches/01_Makefile.conf.diff: Move -lpthread to after files that
    need it to fix FTBFS with ld --as-needed.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 06 Dec 2014 01:53:16 -0500

scid (1:4.5.1.cvs20140429-2) unstable; urgency=medium

  * linking with pthread, bug was reproduced with cowbuilder build.
    unclear, why the bug didn't show up before. 
    Added: LDFLAGS:=$(LDFLAGS) -lpthread to 01_Makefile.conf.diff 
    (Closes: #759863)

 -- Oliver Korff <ok@xynyx.de>  Fri, 05 Sep 2014 16:39:44 +0200

scid (1:4.5.1.cvs20140429-1) unstable; urgency=low

  * New Upstream Version. (Closes: #704743)
  * The buildsystem changed, so a new 01_Makefile.conf.diff had to be added.
  * Included hardening compile options to 01_Makefile.conf.diff
  * Switch to compat level 9, added dependency to debhelper >=9 
  * 22_multiarch-tcltk.diff removed, configure now finds the paths 
  * Patches had to be recreated, removed some old patchfiles 
  * Updated to standards version 3.9.5
  * Added the .desktop file from ubuntu, thanks to Marc Deslauriers for the 
    patch. This solves two bugs: (Closes: #738024) (Closes: #729905)

 -- Oliver Korff <ok@xynyx.de>  Tue, 29 Apr 2014 17:04:26 +0200

scid (1:4.3.0.cvs20120311-2) unstable; urgency=low

  * Fixed FTBFS after multiarchifying Tcl/Tk. Like Sergei Golovan suggested.
    (Closes: #725084) Thanks for the patch. 

 -- Oliver Korff <ok@xynyx.de>  Mon, 28 Apr 2014 22:17:46 +0200

scid (1:4.3.0.cvs20120311-1) unstable; urgency=low

  * New Upstream Version.
  * Updated to standards version 3.9.3
  * scid now recommends tdom and tcllib, which is necessary for the built-in
    xfcc support. Thanks to Ian Zimmerman for giving this hint. 
    (Closes: #656699) 
  * Scid filter mode: "AND" is now working again. Thanks to Ian Zimmerman for
    the Report, and to Fulvio solving the bug upstream. (Closes: #661836) 

 -- Oliver Korff <ok@xynyx.de>  Sun, 11 Mar 2012 22:53:54 +0100

scid (1:4.3.0.cvs20111216-3) unstable; urgency=low

  * Installing the files in scid-data must be done in the debian 
    specific way with dh_install. Scid now installs files in 
    debian/tmp.

 -- Oliver Korff <ok@xynyx.de>  Mon, 23 Jan 2012 22:07:58 +0100

scid (1:4.3.0.cvs20111216-2) unstable; urgency=low

  * In the switch to Source 3.0 format a patch was skipped, which fixed 
    library paths at the debian the ports. This lead to a FTBFS Bug. Thanks to
    Peter Greens patch there is now no patching involved anymore, the magic is 
    done via sed in the rules file and DEB_HOST_MULTIARCH. (Closes: #656789)
  * The split from scid to scid + scid-data had to be done with a Replaces 
    and a Breaks field in the control file. (Closes: #656950)
  * Added the libx11-dev, dpkg-dev (>= 1.16.0) dependency to ensure building 
    environment is right under all circumstances.

 -- Oliver Korff <ok@xynyx.de>  Mon, 23 Jan 2012 17:40:45 +0100

scid (1:4.3.0.cvs20111216-1) unstable; urgency=low

  * New Upstream Version.
  * Removed dependency of oss-compat. libsnack works without. Thanks to 
    Ian Zimmerman for the hint.
  * Switch to Source 3.0 Format. (quilt)
    - Converted patches
    - Converted changes to Makefile to a single patch. (Not sure if this works 
      out all right, or has any side effects.)
    - Removed dpatch build dependency.
    - Set debhelper build depends to (>= 7.0.50~)
  * After forwarding the bug to upstream, they could sort out the issue. 
    And a long mail thread from Harvey Kelly and Joost 't Hart discussed 
    it, to be a Latex problem. Thanks to Joost and others for their 
    patience. (Closes: #640395)

 -- Oliver Korff <ok@xynyx.de>  Fri, 23 Dec 2011 18:50:55 +0100

scid (1:4.3.0.cvs20110714-2) unstable; urgency=low

  * After locating the libX11.so on all additional ports, the 
    FTBFS bug should now be closed. Only the location of libX11.so
    for s390x could not be discovered. I made a wild guess...
    My apologies to Nobuhiro Iwamatsu, he had to reopen this issue.
    (Closes: #633707) 
  * scid.eco and scid_fr.eco and scid_es.eco are in place again.
    A comment from the sources: "eco2epd is now optional extra program 
    NOT compiled by default, since scid now reads the .eco file format 
    directly." I put eco2pgn back, as requested by Gabriele Stilli. 
    Thanks for the bugreport.
    (Closes: #636090)

 -- Oliver Korff <ok@xynyx.de>  Tue, 02 Aug 2011 13:21:22 +0200

scid (1:4.3.0.cvs20110714-1) unstable; urgency=low

  * New Upstream sync.
  * Removed .git directory from source tgz. (Closes: #633708)
  * The ports needed to to locate the architecture dependent
    libX11.so libs too. Nobuhiro Iwamatsu helped with a patch.
    (Closes: #633707) 

 -- Oliver Korff <ok@xynyx.de>  Thu, 14 Jul 2011 12:59:10 +0200

scid (1:4.3.0.cvs20110706-2) unstable; urgency=low

  * The configure script needed to locate the architecture dependent 
    libX11.so libs. Therefor the appropriate paths had to be 
    appended. (Closes: #633146)  

 -- Oliver Korff <ok@xynyx.de>  Sat, 09 Jul 2011 20:16:42 +0200

scid (1:4.3.0.cvs20110706-1) unstable; urgency=low

  * New Upstream Version.
  * Scid Upstream is now a git repository, see copyright.
  * Updated standards version to 3.9.2
  * Recheck of bug #584923, "flipping board breakes animation". This 
    is working fine now, even in docked mode. (Closes: #584923).

 -- Oliver Korff <ok@xynyx.de>  Wed, 06 Jul 2011 12:56:48 +0200

scid (1:4.3.0.cvs20110228-1) unstable; urgency=low

  * New Upstream Version.
  * I re-checked this matter thoroughly and the bug can not be reproduced 
    in this version. If the book is enabled, the book moves are skipped, 
    while (automatically) annotating. (Closes: #604421)
  * Makefile and Makefile.conf are still not included in the patch system.

 -- Oliver Korff <ok@xynyx.de>  Mon, 28 Feb 2011 09:58:02 +0100

scid (1:4.2.2.cvs20110111-1) unstable; urgency=low

  * New Upstream Version.

 -- Oliver Korff <ok@xynyx.de>  Tue, 11 Jan 2011 12:18:27 +0100

scid (1:4.2.2.cvs20100824-1) unstable; urgency=low

  * New Upstream Version, this is a 4.3 pre-release snapshot.
  * Added libtk-img to the runtime dependencies. This enables 
    some more chess-set possibilities.
  * Updated standards version to 3.9.1
  * Added a hack to avoid breaking the dh_clean target. I apply 
    a Makefile patch before and afterwards, this is likely to break 
    in every new version. I will clean this thing up, with 4.3 and 
    maybe switch from dpatch to quilt.

 -- Oliver Korff <ok@xynyx.de>  Tue, 24 Aug 2010 09:21:31 +0200

scid (1:4.2.2.cvs20100202-2) unstable; urgency=low

  * No interesting updates to the man CVS, so no new upstream version.
  * Added a suggest to the spelling/rating-data packages
  * The integration of phalanx has now been carefully tested. The bug 
    reported 2001 is not longer existing. (Closes: #107658) 
  * lintian now searches for spelling errors in binarys. Corrected one 
    error of this type.

 -- Oliver Korff <ok@xynyx.de>  Sat, 20 Feb 2010 11:30:54 +0100

scid (1:4.2.2.cvs20100202-1) unstable; urgency=low

  * New upstream version. The "Help/About Scid" menu states, that 
    we have a 4.2.2 development version.
  * The database conversion with pgnscid was successfully 
    tested. (Closes: #567946)
  * Upgrade to policy standards version 3.8.4
  * Prepared scid to find spelling data in /usr/share/scid/data

 -- Oliver Korff <ok@xynyx.de>  Tue, 02 Feb 2010 21:33:40 +0100

scid (1:4.2.0.cvs20100120-1) unstable; urgency=low

  * New upstream version. The "Help/About Scid" menu states, that we 
    work with a 4.2 developmet version.
  * Added a misc:Depends to the depends section in control
  * Changed section from optional to extra to avoid warnings from debcheck,
    because of a depends on oss-compat, which is extra on other architectures
  * Reworked the suggests in control. At first I wanted to avoid the suggest on 
    crafty (debcheck reports it is unavailable on some archs). For me this is 
    a suggestion and I do want the users to know that there is a crafty around.

 -- Oliver Korff <ok@xynyx.de>  Tue, 12 Jan 2010 12:46:24 +0100

scid (1:4.1.0.cvs20091220-1) unstable; urgency=low

  * Added a source.lintian-overrides for patching the Makefile.conf and the 
    changed Makefile after he configure run. This does not work well with the 
    dpatch system. For later versions I will have a look, if it is better done 
    with quilt.
  * Added a watch file for the scid upstream version. The current development 
    version number is 0.4.1 released on the sourceforge web-page is 0.4.0. This 
    is due to the fact, that upstream handles this cvs version as 0.4.1, and 
    states this in the changelog file.
  * New upstream version. 

 -- Oliver Korff <ok@xynyx.de>  Sun, 20 Dec 2009 15:16:17 +0100

scid (1:4.1.0.cvs20090923-1) unstable; urgency=low

  * New upstream version (Closes: #548032)

 -- Oliver Korff <ok@xynyx.de>  Wed, 23 Sep 2009 22:25:49 +0200

scid (1:3.7.3.cvs20090817-1) unstable; urgency=low

  * New upstream Version.
  * Removed prep.sh from the .deb it is still available if you 
    get the sources (Closes: #535756). Extended the README.sources.
  * Added recommendation to the tdom package, that enables scid to use the 
    xfcc XML protocol, used by correspondance chess servers and interfaces.
  * After the update the ECO files could be loaded again. This was veryfied with 
    removing any configfiles, wich were successfully recreated. The default 
    config path for ECO files lead to the correct location. (Closes: #541142)
  * Adjusted the standards version to 3.8.3, according to my understanding of 
    the changes there was noting else to be done.

 -- Oliver Korff <ok@xynyx.de>  Mon, 17 Aug 2009 11:31:41 +0200

scid (1:3.7.3.cvs20090702-2) unstable; urgency=low

  * In scid.menu the title changed from "scid" to "Scid" 
    This (Closes: #535596)
  * Added a © to the copyright note
  * Removed scid.doc-base, because the referenced html pages are now
    displayed in scids internal help system. References between the 
    pages do/did not work. The source does not include the html 
    anymore.

 -- Oliver Korff <ok@xynyx.de>  Fri, 03 Jul 2009 20:51:10 +0200

scid (1:3.7.3.cvs20090702-1) unstable; urgency=low

  *  New Upstream Releases (Closes: #487771)
  *  Change of the version number, to meet debian packaging 
     requirements: a lot of people used my unofficial repository 
     to update the orphaned scid package. The epoch is necessary 
     for them to have a smooth upgrade.
  *  This is also the reason, why I keep the changelog entrys
  *  New Maintainer Oliver Korff <ok@xynyx.de> (Closes: #530997)
  *  Documented the changes to the sources in README.source
  *  Removed tablebase code from the sources, the code is non-free
  *  Removed the books from the sources, we do not have any source 
     for them, so they don't comply with the policy
  *  Removed zlib from sources they come with the distribution
  *  configure-run definetely works with this version (Closes: #519635)
     configure options have been double checked
  *  scid is compiled with new tcl/tk-8.5 (Closes: #465788)
  *  It is not leaving any engine zombie processes anymore, which was an 
     issue with tcl/tk8.4  (Closes: #191112)
  *  The eco browser works by clicking on the bars (Closes: #401210)
  *  There are two separate projects developing on the same code base
     that was introduced by Shane Hudson. One is still called scid, which 
     is lead by Pascal Georges, the other chessdb, by Dr. David Kirkby. I 
     have looked at both respectively and for me the decision is clear, 
     the scid project is following the GPL and contributions 
     are welcome there. This is important for me as maintainer. Also the 
     features for the debian users are promising. Any other discussion 
     and argues between the projects I am not willing to comment on. 
     (Closes: #408930)

 -- Oliver Korff <ok@xynyx.de>  Thu, 02 Jul 2009 00:42:14 +0200

scid (3.7.cvs20090608) unofficial; urgency=low

  * A lot of packaging improvements due to Willem Van den Akker
  * Added twic2scid to the installed scripts
  * Added the old manpages of Peter van Rossum
  * Linked all binarys to manpage 

 -- Oliver Korff <ok@xynyx.de>  Mon, 08 Jun 2009 21:29:36 +0200

scid (3.7.cvs20090531) unofficial; urgency=low

  * New CVS Release for the public
  * Highlight last move played (switchable in options menu)
  * New offical scid release: Version 3.7.4

 -- Oliver Korff <ok@xynyx.de>  Sun, 31 May 2009 09:53:16 +0200

scid (3.7.cvs20090527) unofficial; urgency=low

  * New CVS Release for the public
  * Correspondence interface in the sources was updated
  * The packaging has been improved and a new automatic build 
    invented

 -- Oliver Korff <ok@xynyx.de>  Wed, 27 May 2009 21:43:36 +0200

scid (3.7.cvs20090428) unofficial; urgency=low

  * New CVS Release, adding new features for analysis

 -- Oliver Korff <ok@xynyx.de>  Tue, 28 Apr 2009 21:29:26 +0200

scid (3.7.cvs20090402) unofficial; urgency=low

  * New CVS Release 
  * books moved back to /usr/share/scid

 -- Oliver Korff <ok@xynyx.de>  Thu, 02 Apr 2009 17:59:41 +0200

scid (3.7.cvs20090217) unofficial; urgency=low

  * New CVS Release 

 -- Oliver Korff <ok@xynyx.de>  Tue, 17 Feb 2009 22:03:30 +0100

scid (3.7.cvs20090124) unofficial; urgency=low

  * New CVS Release
  * improved the packaging:
  * books moved to /var/lib/scid
  * changed permissions of some files according to standard
  * make sound work on debian
  * make book path known to scid
  * added menu entry
  * added menu picture for scid 

 -- Oliver Korff <ok@xynyx.de>  Sat, 24 Jan 2009 11:21:47 +0100

scid (3.7.cvs20090112) unofficial; urgency=low

  * New CVS Release

 -- Oliver Korff <ok@xynyx.de>  Wed, 14 Jan 2009 21:03:07 +0100

scid (3.7.cvs20081220) unofficial; urgency=low

  * New CVS Release

 -- Oliver Korff <ok@xynyx.de>  Sat, 20 Dec 2008 13:59:24 +0100

scid (3.7.cvs20081204) unofficial; urgency=low

  * New CVS Release
  * Just testing

 -- Oliver Korff <ok@xynyx.de>  Thu, 04 Dec 2008 22:21:38 +0100

scid (3.7.cvs20081202-1) unofficial; urgency=low

  * New CVS Release
  * Uses tcl/tk8.5

 -- Oliver Korff <ok@xynyx.de>  Tue, 02 Dec 2008 16:16:07 +0100

scid (3.6.22-1) unofficial; urgency=low

  * New Upstream, still sorry for the bad packaging
  * Repack of the source, to exclude all the engine 
    and pocket engine stuff

 -- Oliver Korff <ok@xynyx.de>  Thu, 21 Feb 2008 20:57:54 +0100

scid (3.6.21-1) unofficial; urgency=low

  * New Upstream, sorry for the bad packaging
  * Repack of the source, to exclude all the engine stuff

 -- Oliver Korff <ok@xynyx.de>  Sat, 05 Jan 2008 19:26:48 +0100

scid (3.6.20-1) unofficial; urgency=low

  * Initial prvate release  
  * The Copyright condition of this package is very difficult
  * Repack of the source, to exclude all the engine stuff that might be
    available anyway

 -- Oliver Korff <ok@xynyx.de>  Sat, 01 Dec 2007 09:51:08 +0100

scid (3.6.1-2) unstable; urgency=low

  * Ack. NMU fix (Closes: #347030).
  * Updated standard version.

 -- Peter van Rossum <petervr@debian.org>  Sun, 10 Sep 2006 20:30:12 +0200

scid (3.6.1-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Removed x-libs build-dep (Closes: #347030)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 21 Jan 2006 13:37:44 +0100

scid (3.6.1-1) unstable; urgency=low

  * New upstream release (released 3 Mar 2004). (Closes: #243065)
  * Registered scid as MIME handler for application/x-chess-pgn.
    (Closes: #239585)

 -- Peter van Rossum <petervr@debian.org>  Tue, 18 Jan 2005 17:40:39 +0100

scid (3.5-1) unstable; urgency=low

  * New upstream release.

 -- Peter van Rossum <petervr@debian.org>  Sun, 21 Dec 2003 18:43:32 -0800

scid (3.4-3.5beta1-1) experimental; urgency=low
  * Upstream development continues in absence of Shane Hudson.

 -- Peter van Rossum <petervr@debian.org>  Thu,  4 Sep 2003 18:24:02 -0700

scid (3.4-3) unstable; urgency=low

  * Documentation in section Games/Board.
  * Changed Standards-Version to 3.6.0.
  * (Re)added support for noopt in DEB_BUILD_OPTIONS; the nostrip
    option is (still) handled by dh_strip.

 -- Peter van Rossum <petervr@debian.org>  Mon, 18 Aug 2003 10:22:38 -0600

scid (3.4-2) unstable; urgency=low

  * Fixed bug on location of eco-file. (Closes: #187206)
  * Fixed a problem with -lpthread that broke the external chess program
    support, with help from Chris Waters. (Closes: #186377)

 -- Peter van Rossum <petervr@debian.org>  Fri,  4 Apr 2003 15:46:09 -0700

scid (3.4-1) unstable; urgency=low

  * New upstream version. (Closes: #179065)
  * New packaging.

 -- Peter van Rossum <petervr@debian.org>  Wed, 19 Feb 2003 15:31:43 -0700

scid (3.3-3) unstable; urgency=low
  
  * Using dh_installman instead of dh_installmanpages.
  * Included icon for menus.
  * Installing twic2scid as well.
  * Build-depends on tcl/tk8.4.
  * Never uploaded.

 -- Peter van Rossum <petervr@debian.org>  Sat, 10 Aug 2002 15:55:35 -0600

scid (3.3-2) unstable; urgency=low

  * Build-depends on tcl/tk8.3.
  * Fixed bug on location of eco-file (again). (Closes: #153967)

 -- Peter van Rossum <petervr@debian.org>  Tue, 23 Jul 2002 09:51:53 -0600

scid (3.3-1) unstable; urgency=low

  * New upstream version. (Closes: #148827)
  * Fixed menu entry. (Closes: #145276)

 -- Peter van Rossum <petervr@debian.org>  Sat,  6 Jul 2002 22:17:18 -0600

scid (3.2-2) unstable; urgency=low

  * Fixed small bug on redrawing the PGN window. (Closes: #120202)

 -- Peter van Rossum <petervr@debian.org>  Sat,  6 Apr 2002 14:49:15 -0700

scid (3.2-1) unstable; urgency=low

  * New upstream source.

 -- Peter van Rossum <petervr@debian.org>  Thu, 21 Feb 2002 23:41:09 -0700

scid (3.1-1) unstable; urgency=low

  * New upstream source. (Closes: #117452 on insecure tempfile
    creation).
  * Fixed bug on the location of the eco-file. (Closes: #117445)

 -- Peter van Rossum <petervr@debian.org>  Fri, 18 Jan 2002 15:02:08 -0700

scid (2.7-1) unstable; urgency=low

  * Changed build dependencies for XFree86 release 4.
  * New upstream source.
  * Fixed small bug that only appears if egtb is disabled.
  * Fixed bug on the location of the eco-file. (Closes: #117445)
  * Temporary fix for insecure tempfile creation. (Not closing
    Bug#117452, but downgrading it to wishlist.)
  * Never uploaded.

 -- Peter van Rossum <petervr@debian.org>  Wed, 31 Oct 2001 11:55:29 -0500

scid (2.5-2) unstable; urgency=low

  * Removed references to scidt, since that program no longer
    exists.
  * Removed some files that accidently got duplicated.
  * Changed optimization from -O4 to -O2 in order to allow building
    on hppa. (Closes: #104863) Note that the possible problem
    with -I/usr/include and gcc 3.0 referred to in a comment on
    that bug report has also been addressed.

 -- Peter van Rossum <petervr@debian.org>  Wed, 18 Jul 2001 10:14:22 +0200

scid (2.5-1) unstable; urgency=low

  * New upstream source. (Closes: #96657)
  * HTML documentation installed and registered with doc-base.
  * Changed e-mail address to petervr@debian.org.
  * Section changed to games.

 -- Peter van Rossum <petervr@debian.org>  Wed, 27 Jun 2001 10:21:27 +0200

scid (2.3-1) unstable; urgency=low

  * New upstream version.
  * Brought package under CVS to facilitate handling of new upstream
    sources.
  * Fixed bug with statistics window.
  * Added support for DEB_BUILD_OPTIONS; note that the nostrip option 
    is handled by dh_strip.

 -- Peter van Rossum <petervr@sci.kun.nl>  Sun, 11 Mar 2001 13:49:04 +0100

scid (2.2-4) unstable; urgency=low

  * Small changes in the packaging; the package will now build from source
    on a potato system and on a woody system.

 -- Peter van Rossum <petervr@sci.kun.nl>  Tue, 27 Feb 2001 08:35:45 +0100

scid (2.2-3) unstable; urgency=low

  * Added build dependencies.

 -- Peter van Rossum <petervr@sci.kun.nl>  Fri, 23 Feb 2001 18:19:59 +0100

scid (2.2-2) unstable; urgency=low

  * Removed the source code of the endgame tablebase routines from
    the .orig.tgz upstream tarball.
  * Package now uses a more recent version of debhelper.
  * Removed superfluous .ex files from the debian-directory.
  * I'd better also close the ITP bug against wnpp. (Closes: #86081)

 -- Peter van Rossum <petervr@sci.kun.nl>  Sat, 17 Feb 2001 11:34:43 +0100

scid (2.2-1) unstable; urgency=low

  * Initial Release.

 -- Peter van Rossum <petervr@sci.kun.nl>  Tue, 13 Feb 2001 22:00:27 +0100
